Security Enhanced Linux Reference Policy

# Layer: contrib

## Module: firewalld

Interfaces

### Description:

Service daemon with a D-BUS interface that provides a dynamic managed firewall.

### Interfaces:

firewalld_admin( domain , role )

##### Summary

All of the rules required to administrate an firewalld environment.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.
role | Role allowed access.

firewalld_dbus_chat( domain )

##### Summary

Send and receive messages from firewalld over dbus.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

firewalld_dontaudit_rw_tmp_files( domain )

##### Summary

Do not audit attempts to read, snd write firewalld temporary files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain to not audit.

firewalld_read_config_files( domain )

##### Summary

Read firewalld configuration files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

firewalld_read_var_run_files( domain )

##### Summary

Read firewalld runtime files.

##### Parameters

Parameter: | Description:
--- | ---
domain | Domain allowed access.

Return